> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2026 01 22T16:52:36Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `GET` /api/websites

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    > Array of websites

    Changed items (object):

    > Schema representing a website

    New required properties:

    * `onchainTokens`

    - Added property `onchainTokens` (array)

      > Onchain tokens associated with the website

      Items (object):

      > Schema representing an onchain token

      * Property `id` (string)
        > OnchainToken ID

      * Property `address` (string)
        > Contract address of the onchain token

      * Property `chainId` (string)
        > Chain ID where the token is deployed

      * Property `relayerId` (string)
        > Relayer ID for transaction processing

      * Property `currencyId` (string)
        > Associated loyalty currency ID

      * Property `createdAt` (string)
        > Creation timestamp

      * Property `updatedAt` (string)
        > Last update timestamp

      * Property `syncedAt` (string)
        > Last sync timestamp

      * Property `deletedAt` (string)
        > Deletion timestamp

      * Property `organizationId` (string)
        > Organization ID

      * Property `websiteId` (string)
        > Website ID

##### `POST` /api/websites

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  New required properties:

  * `onchainTokens`

  - Added property `onchainTokens` (array)
    > Onchain tokens associated with the website

#### Result

***

API changes are backward compatible
